Bug 525689 - Missing man-pages
Summary: Missing man-pages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tog-pegasus
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 527378
TreeView+ depends on / blocked
 
Reported: 2009-09-25 09:47 UTC by Ivana Varekova
Modified: 2015-09-21 10:12 UTC (History)
2 users (show)

Fixed In Version: tog-pegasus-2.14.1-32.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-21 10:12:37 UTC


Attachments (Terms of Use)

Description Ivana Varekova 2009-09-25 09:47:56 UTC
Description of problem:
There are missing man page(s) for these tools or config files:
 /etc/Pegasus/access.conf /etc/Pegasus/cimserver_current.conf /etc/Pegasus/cimserver_planned.conf /usr/sbin/cimprovagt /usr/sbin/repupgrade

If the man-pages are in a different package, please describe the details here.

In case the config file has the description inside and no additional man page is needed, please post a comment describing this situation here and set the bug status to CLOSE NOTABUG.

Short description on how to create man pages can be found here:

 https://fedoraproject.org/wiki/User:Varekova/man-pages

Actual results:
no man pages

Expected results:
man pages available

Comment 1 Vitezslav Crhonek 2009-09-29 13:13:49 UTC
/etc/Pegasus/cimserver_current.conf and /etc/Pegasus/cimserver_planned.conf are not intended to be edited manually. There's /usr/sbin/cimconfig binary for it, documented in "man cimconfig".

/etc/Pegasus/access.conf has the description inside and no additional man page is needed.

/usr/sbin/cimprovagt is an internal program used by cimserver (man tog-pegasus binary) and should not be invoked directly. This information is displayed to the user when trying to execute the binary. No man page is needed.

/usr/sbin/repupgrade is missing man page and this should be fixed.

Comment 2 Bug Zapper 2009-11-16 12:56:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Vitezslav Crhonek 2011-07-26 14:15:30 UTC
Current state: /usr/sbin/repupgrade and /usr/sbin/cimuser are missing man page.

Documentation for repupgrade is in /usr/share/doc/tog-pegasus-2.11.0/repupgrade.html, cimuser gives quite good information with "--help" option.

Comment 4 Fedora End Of Life 2013-04-03 19:58:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Jan Kurik 2015-07-15 15:21:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Vitezslav Crhonek 2015-09-21 10:12:37 UTC
Fixed. Summary:

/etc/Pegasus/cimserver_current.conf and /etc/Pegasus/cimserver_planned.conf are not intended to be edited manually. There's /usr/sbin/cimconfig binary for it, documented in "man cimconfig".

/etc/Pegasus/access.conf has the description inside and no additional man page is needed.

/usr/sbin/cimprovagt is an internal program used by cimserver (man tog-pegasus binary) and should not be invoked directly. This information is displayed to the user when trying to execute the binary. No man page is needed.

/usr/sbin/cimuser has been removed from the package (user access is managed by PAM rules).

/usr/sbin/repupgrade man page has been added to the package (based on usr/share/doc/tog-pegasus-%{version}/repupgrade.html).


Note You need to log in before you can comment on or make changes to this bug.